Bug 41998 (4.6) - GCC 4.6 pending patches meta-bug
Summary: GCC 4.6 pending patches meta-bug
Status: RESOLVED FIXED
Alias: 4.6
Product: gcc
Classification: Unclassified
Component: pending (show other bugs)
Version: unknown
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords: meta-bug
Depends on: 28584 37515 38091 41952 42617 42965 42966 43145 43195
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-10 16:58 UTC by Jeffrey A. Law
Modified: 2011-03-17 16:01 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2010-02-09 06:08:37


Attachments
Patch for better reassignment of pseudos during/after reloading (1.40 KB, patch)
2009-11-10 17:15 UTC, Jeffrey A. Law
Details | Diff
Avoid incorrect accumulation of registers in ALLOCNO_TOTAL_CONFLICT_HARD_REGS (397 bytes, patch)
2009-11-10 23:00 UTC, Jeffrey A. Law
Details | Diff
patch to improve register allocation (834 bytes, patch)
2009-11-19 00:05 UTC, Jeffrey A. Law
Details | Diff
patch for frame-pointerless mcount (4.98 KB, patch)
2009-12-02 17:41 UTC, Jeffrey A. Law
Details | Diff
Patch to generate bit instructions for H8 target and other minor enhancements (2.83 KB, patch)
2010-02-26 13:55 UTC, Kaushikp
Details | Diff
Patch for SH to prevent the generation of the pop instruction in the delay slot after 'rte' (1.25 KB, patch)
2010-03-03 12:53 UTC, Kaushikp
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffrey A. Law 2009-11-10 16:58:07 UTC
Collecting pending patches for GCC 4.6 that can be applied after GCC 4.5 branches
Comment 1 Jeffrey A. Law 2009-11-10 17:15:17 UTC
Created attachment 19002 [details]
Patch for better reassignment of pseudos during/after reloading

Discussion here:  http://gcc.gnu.org/ml/gcc-patches/2009-11/msg00502.html
Comment 2 Jeffrey A. Law 2009-11-10 23:00:08 UTC
Created attachment 19003 [details]
Avoid incorrect accumulation of registers in ALLOCNO_TOTAL_CONFLICT_HARD_REGS

A minor code generation improvement by avoiding incorrect accumulation of registers in ALLOCNO_TOTAL_CONFLICT_HARD_REGS.
Comment 3 Jeffrey A. Law 2009-11-19 00:05:01 UTC
Created attachment 19038 [details]
patch to improve register allocation
Comment 4 Jeffrey A. Law 2009-12-02 17:41:13 UTC
Created attachment 19212 [details]
patch for frame-pointerless mcount
Comment 5 aesok 2009-12-05 17:15:48 UTC
Patch to turn TARGET_FUNCTION_VALUE_REGNO_P macro into a hook.

http://gcc.gnu.org/ml/gcc-patches/2009-11/msg00729.html
Comment 6 Alexander Monakov 2010-02-17 16:32:48 UTC
Handle ADDR_EXPR in SCEV

http://gcc.gnu.org/ml/gcc-patches/2010-02/msg00666.html
Comment 7 Kaushikp 2010-02-26 13:55:02 UTC
Created attachment 19969 [details]
Patch to generate bit instructions for H8 target and other minor enhancements

Patch to generate bit instructions for H8 target and other minor enhancements.
This patch addresses the discussion on the gcc-patches mailing list,
http://gcc.gnu.org/ml/gcc-patches/2010-02/msg00396.html
Comment 8 Manuel López-Ibáñez 2010-02-27 18:45:04 UTC
Other PRs block this one, not the other way around.
Comment 9 Manuel López-Ibáñez 2010-02-27 18:47:57 UTC
Alias 4.6
Comment 10 Kaushikp 2010-03-03 12:53:47 UTC
Created attachment 20009 [details]
Patch for SH to prevent the generation of the pop instruction in the  delay slot after 'rte'

Patch for SH to prevent the generation of the pop instruction in the 
delay slot after 'rte' for sh and sh2 targets.
Comment 11 Manuel López-Ibáñez 2010-03-03 14:32:01 UTC
(In reply to comment #10)
> Patch for SH to prevent the generation of the pop instruction in the 
> delay slot after 'rte' for sh and sh2 targets.

Rather than attach patches here, it would be better to link to the mailing message where the patch was approved. Otherwise, it is not clear whether these are tentative patches or approved patches.
Comment 12 Kaushikp 2010-03-11 09:08:27 UTC
> Rather than attach patches here, it would be better to link to the mailing
> message where the patch was approved.

Understood. This patch has been approved,
http://gcc.gnu.org/ml/gcc-patches/2010-03/msg00165.html

Comment 13 Manuel López-Ibáñez 2010-03-11 12:50:54 UTC
And if the patch fixes a PR, it is better to link to the patch from the original PR and add the PR to the list of bugs that this PR depend on (you can use the alias "4.6" in the field "Bug X blocks" of your PR).
Comment 14 Jeffrey A. Law 2010-04-16 23:05:05 UTC
Most of the h8_enhancement patch has been applied.  Unfortunately, one aspect of that change (reordering alternatives in the logical and, ior, xor patterns) causes codesize & performance regressions and has not been installed.  The fundamental problem is the bit insns do not set cc0 and as a result we often miss opportunities to remove tst insns.
Comment 15 Jeffrey A. Law 2010-05-04 04:15:21 UTC
I'm withdrawing the color.patch2.  While the patch makes sense in theory and seems to help x86, it's causing clear regressions on other targets such as the mn103.  I've been unable to resolve the regressions without making the patch basically worthless on x86.  At this point I just don't see that it's worth the effort.  
Comment 16 Jeffrey A. Law 2011-03-17 16:01:06 UTC
Closing.  Appropriate patches & dependencies moved to the 4.7 pending patches meta-bug.